.\"  Copyright (c) 2006  Joey Schulze <joey@infodrom.org>
.\"
.\"  This program is free software; you can redistribute it and/or modify
.\"  it under the terms of the GNU General Public License as published by
.\"  the Free Software Foundation; either version 2 of the License, or
.\"  (at your option) any later version.
.\"
.\"  This program is distributed in the hope that it will be useful,
.\"  but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"  GNU General Public License for more details.
.\"
.\"  You should have received a copy of the GNU General Public License
.\"  along with this program; if not, write to the Free Software
.\"  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.\"
.TH DA-BACKUP 8 "21 June 2006" "Debian Administration" ""
.SH NAME
da-backup \- Backup directories
.SH SYNOPSIS
.B da-backup
.RB [ " \-\-help" | "\-h " ]
.RB [ " \-\-simulate" | "\-s " ]
.RB [ " \-\-verbose" | "\-v " ]
.RI [ " conffiles " ]
.SH DESCRIPTION
.B da-backup
is used on .debian.org hosts to create a backup for the various
services running on that particular host.
Usually the data is sent over the Internet using
.BR rsync (1)
over 
.BR ssh (1)
to a dedicated backup host.

On the backup host a staging directory for each backup exists from
which the data is synchronised daily to the real backup directory.
Usually the backup host helds several versions for each backup.
.SH OPTIONS
.TP
.B \-\-help
Displays a help screen.
.TP
.B \-\-simulate
Don't actually create a backup but print the actions the program would take.
.TP
.B \-\-verbose
Increase verbosity.
Two levels or verbosity are supported.
.PP
Configuration files may be specified on the commandline in which case
the configuration directory is not investigated.
.SH CONFIGURATION
.B da-backup
is shipped with sensible configuration inline the program for use
on .debian.org hosts.
However, if used outside administrators may want to alter the settings.
Upon startup the file
.I /etc/da-backup.conf
is parsed so that the following settings may overwrite the defaults:
.TP
.IR backuphost= HOSTNAME
Defines the name of the backup host.
Leaving this blank will result in backups being made on the same host
instead.
The default is
.BR backup.debian.org .
.TP
.IR confdir= DIRECTORY
Defines the name of the directory in which the configuration for all
directories are found which require a backup.
The default is
.BR /etc/da-backup .
.TP
.IR logdir= DIRECTORY
Defines a directory in which log files should be created.
The default is
.BR /var/log/da-backup .
.TP
.IR logcycle= INTEGER
Defines the number of logfiles to keep in the
.I logdir
directory.
The default is
.BR 7 .
.SH "BACKUP CONFIGURATION"
.B da-backup
is controlled via special configuration files in the configuration directory.
Each file in that directory refers to one directory that requires a backup.
Commonly used backup and control files are ignored upon processing.
Each file in this directory may set the following variables.
.TP
.I source
Defines the directory that requires a backup.
This setting is mandatory.
.TP
.I exclude
This optional setting defines a list of files or directories that
should be excluded (via
.BR rsync (1)
exclude arguments).
.TP
.I options
This optional setting may define additional arguments to be passed to the
.BR rsync (1)
command.
.TP
.I key
This optional setting may define an
.BR ssh (1)
key other than
.IR $HOME/.ssh/da_FILENAME .
.TP
.I destination
Defines a local directory that should be used for the backup.
For this to work the global
.I backuphost
variable needs to be empty in which case this setting is mandatory.
.PP
The files are evaluated one by one by
.BR bash (1)
so that "$exclude" is evaluated as well and may be used to create
multiple lines of exclude settings.
.SH FILES
.TP
.I /etc/da-backup.conf
The main configuration file.
.TP
.I /etc/da-backup
This directory contains configuration for each directory that should
be backed up.
.SH "RETURN VALUES"
On success, zero is returned.  On error, 1  is  returned.
.SH "SEE ALSO"
.BR da-backup-manager (8).
